"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
var index_1 = require("../index");
function bottom(genomes, fitness, percent) {
    if (percent === void 0) { percent = 0.5; }
    // sort evaluations of genomes by fitness, ascending order
    var b = _.sortBy(genomes.map(fitness), function (e) { return e.fitness; });
    // select just the ones that make the cut
    return new index_1.Gene(percent).elements(b);
}
exports.bottom = bottom;
//# sourceMappingURL=bottom.js.map