import { FitnessObjective } from "../../enums/fitness-objective";
import { MutateOp } from "../../enums/mutate-op";
import { Genome, IEvaluation, IGenomeOptions } from "../../index";
export declare function safeMutateMany<T extends IGenomeOptions, U>(genomes: Array<Genome<T>>, fitness: (gen: Genome<T>) => IEvaluation<T, U>, objective?: FitnessObjective, mutateChance?: number, mutateType?: MutateOp): Array<Genome<T>>;
