"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
var index_1 = require("../../../index");
function reproduceManyToMany(genomes, n, weights) {
    if (weights === void 0) { weights = _.range(0, genomes.length).map(function (i) { return index_1.value(); }); }
    return _.range(0, n)
        .map(function (i) { return index_1.reproduceManyToOne(genomes, weights); });
}
exports.reproduceManyToMany = reproduceManyToMany;
//# sourceMappingURL=reproduce-many-to-many.js.map