import { FitnessObjective } from "../../../enums/fitness-objective";
import { Genome, IEvaluation, IGenomeOptions } from "../../../index";
export declare function sampledReproduceManyToMany<T extends IGenomeOptions, U>(genomes: Array<Genome<T>>, n: number, fitness: (gen: Genome<T>) => IEvaluation<T, U>, objective?: FitnessObjective, sampleSize?: number, weights?: number[]): Array<Genome<T>>;
