"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
var index_1 = require("../index");
function top(genomes, fitness, percent) {
    if (percent === void 0) { percent = 0.5; }
    // sort evaluations of genomes by fitness, descending order
    var t = _.sortBy(genomes.map(fitness), function (e) { return e.fitness; }).reverse();
    // select just the ones that make the cut
    return new index_1.Gene(percent).elements(t);
}
exports.top = top;
//# sourceMappingURL=top.js.map