"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var mutate_op_1 = require("../../enums/mutate-op");
var index_1 = require("../../index");
function mutateMany(genomes, mutateChance, mutateType) {
    if (mutateChance === void 0) { mutateChance = 0.05; }
    if (mutateType === void 0) { mutateType = mutate_op_1.MutateOp.sub; }
    return genomes.map(function (g) { return index_1.mutate(g, mutateChance, mutateType); });
}
exports.mutateMany = mutateMany;
//# sourceMappingURL=mutate-many.js.map