import { FitnessObjective } from "../../enums/fitness-objective";
import { MutateOp } from "../../enums/mutate-op";
import { Genome } from "../../genotypes/genome";
import { IEvaluation } from "../../interfaces/evaluation";
import { IGenomeOptions } from "../../options/genome-options";
export declare function safeSampledMutateMany<T extends IGenomeOptions, U>(genomes: Array<Genome<T>>, fitness: (gen: Genome<T>) => IEvaluation<T, U>, objective?: FitnessObjective, mutateChance?: number, mutateType?: MutateOp, sampleSize?: number): Array<Genome<T>>;
