import { FitnessObjective } from "../../../enums/fitness-objective";
import { Genome } from "../../../genotypes/genome";
import { IEvaluation } from "../../../interfaces/evaluation";
import { IGenomeOptions } from "../../../options/genome-options";
export declare function safeReproduceManyToOne<T extends IGenomeOptions, U>(genomes: Array<Genome<T>>, fitness: (genome: Genome<T>) => IEvaluation<T, U>, objective?: FitnessObjective, weights?: number[]): Genome<T>;
