import { FitnessObjective } from "../../enums/fitness-objective";
import { Genome } from "../../genotypes/genome";
import { IEvaluation } from "../../interfaces/evaluation";
import { IGenomeOptions } from "../../options/genome-options";
export declare function safeReproduce<T extends IGenomeOptions, U>(gen1: Genome<T>, gen2: Genome<T>, fitness: (gen: Genome<T>) => IEvaluation<T, U>, objective?: FitnessObjective, weight1?: number, weight2?: number, mutateChance?: number): Genome<T>;
