"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
var index_1 = require("../../index");
function safeSampledReproduce(gen1, gen2, fitness, samepleSize, weight1, weight2, mutateChance) {
    if (samepleSize === void 0) { samepleSize = 5; }
    if (weight1 === void 0) { weight1 = 1; }
    if (weight2 === void 0) { weight2 = 1; }
    if (mutateChance === void 0) { mutateChance = 0.05; }
    var offspring = _.range(0, samepleSize)
        .map(function (i) { return index_1.reproduce(gen1, gen2, weight1, weight2, mutateChance); });
    return index_1.best(_.concat([gen1, gen2], offspring), fitness).genome;
}
exports.safeSampledReproduce = safeSampledReproduce;
//# sourceMappingURL=safe-sampled-reproduce.js.map